XJREMOTE(1)

NAME
xjremote - CLI remote-control to xjadeo

SYNOPSIS

xjremote [-fhPquUvV] [-I <mq-queue-id>]

DESCRIPTION

Xjadeo is a software video player that displays a video-clip in sync with an external time source (MTC, LTC, JACK-transport).

xjremote connects to a instance of Xjadeo and allows a user to tweak the running configuration.

If it can not connect, xjremote will start a new instance of Xjadeo and open a connection to it unless the -f is given.

OPTIONS

-f, --nofork
    disable automatic startup of Xjadeo. Instead xjremote will terminate if it can not connect to a running Xjadeo.

-h, --help
    Prints usage help and exits.

-I <ipc-id>, --id <ipc-id>
    specify message-queue identifier.

-P, -P, --noping
    Skip checking for Xjadeo life signs (ping).

-q, --quiet, --silent
    Suppresses normal output messages.

-Q
    ignored - xjremote can be used as a drop in replacement for xjadeo -Q.

-R
    ignored - xjremote can be used as a drop in replacement for xjadeo -R.

-u, --unlink
    remove existing queues. Unless combined with -f this will launch always a new Xjadeo instance after unlinking the queues. Note: active connections are not affected.

-U, --unlinkonly
    remove existing message queues and exit. If no Xjadeo instance is running this is equivalent to -u -f.

-v, --verbose
    Print additional information.

-V, --version
    Print version information end exit.

-W <rpc-id>
    ignored - xjremote can be used as a drop in replacement for xjadeo -W ...

ENVIRONMENT

If the XJADEO variable is set, xjremote will assume that it holds the path to the Xjadeo executable.

NOTE

Apart from Standard-I/O, Xjadeo can either use POSIX real-time message-queues (MQ) or System-V IPC communication. The decision is made when compiling it. Basically GNU/Linux uses MQ (but could use IPC as well). OSX only supports IPC and Windows is limited to standard-I/O only.

SEE ALSO

xjadeo(1)

qjadeo(1)

AUTHORS

Robin Gareus <robin@gareus.org>
    linuxaudio.org

Luis Garrido <luisgarrido@users.sourceforge.net>
    luisgarrido.users.sourceforge.net

COPYRIGHT
Copyright © 2005, 2006, 2007, 2009, 2010, 2011 Robin Gareus, Luis Garrido